Web   ·   Wiki   ·   Activities   ·   Blog   ·   Lists   ·   Chat   ·   Meeting   ·   Bugs   ·   Git   ·   Translate   ·   Archive   ·   People   ·   Donate
summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--do_it_all.sh31
-rw-r--r--patches/0001-sdxo-3342-Remove-the-Play-Pause-button-altogether-to.patch67
-rw-r--r--vJukebox-26.xobin0 -> 167458 bytes
3 files changed, 98 insertions, 0 deletions
diff --git a/do_it_all.sh b/do_it_all.sh
new file mode 100644
index 0000000..dcc0242
--- /dev/null
+++ b/do_it_all.sh
@@ -0,0 +1,31 @@
+set -e
+
+# Note that we are using a bundle here, rather than the upstream mainline git-url,
+# since nothing exists of such. THUS, USING A BUNDLE HERE IS AN EXCEPTION.
+bundle="vJukebox-26.xo"
+
+
+# Remove the upstream cloned-directory, if any.
+if [ -d "activity" ]; then
+ sudo rm -r activity
+fi
+
+unzip "$bundle" -d activity
+
+# Initialize git.
+cd activity/Jukebox.activity
+sudo rm -r locale
+git init
+git add *
+git commit -m "Initial commit."
+
+
+# Build the activity (to generate "generated" files such as locale files).
+python setup.py build
+
+# Now, apply the AC patches.
+git am ../../patches/*.patch
+
+# Finally, build the bundle (to be retrieved from "activity/dist").
+python setup.py dist_xo
+
diff --git a/patches/0001-sdxo-3342-Remove-the-Play-Pause-button-altogether-to.patch b/patches/0001-sdxo-3342-Remove-the-Play-Pause-button-altogether-to.patch
new file mode 100644
index 0000000..1dd431d
--- /dev/null
+++ b/patches/0001-sdxo-3342-Remove-the-Play-Pause-button-altogether-to.patch
@@ -0,0 +1,67 @@
+From 61b29cd89a005536e9ff82a4258da05f93d81f11 Mon Sep 17 00:00:00 2001
+From: Ajay Garg <ajay@activitycentral.com>
+Date: Tue, 19 Mar 2013 00:31:37 +0530
+Subject: [PATCH] sdxo#3342: Remove the "Play/Pause" button altogether, to
+ remove the UI-hang-causing workflow.
+Organization: Sugar Labs Foundation
+
+
+Signed-off-by: Ajay Garg <ajay@activitycentral.com>
+---
+ ControlToolbar.py | 14 ++------------
+ activity/activity.info | 2 +-
+ 2 files changed, 3 insertions(+), 13 deletions(-)
+
+diff --git a/ControlToolbar.py b/ControlToolbar.py
+index 87a9b50..af00624 100644
+--- a/ControlToolbar.py
++++ b/ControlToolbar.py
+@@ -97,14 +97,6 @@ class Control(gobject.GObject):
+ gtk.ICON_SIZE_BUTTON)
+ self.play_image.show()
+
+- self.button = gtk.ToolButton()
+- self.button.set_icon_widget(self.play_image)
+- self.button.set_property('can-default', True)
+- self.button.show()
+- self.button.connect('clicked', self._button_clicked_cb)
+-
+- self.toolbar.insert(self.button, -1)
+-
+ self.next_button = ToolButton('player_fwd')
+ self.next_button.set_tooltip(_('Next'))
+ self.next_button.show()
+@@ -147,17 +139,15 @@ class Control(gobject.GObject):
+ self.jukebox.play_toggled()
+
+ def set_button_play(self):
+- self.button.set_icon_widget(self.play_image)
++ return
+
+ def set_button_pause(self):
+- self.button.set_icon_widget(self.pause_image)
++ return
+
+ def set_disabled(self):
+- self.button.set_sensitive(False)
+ self.scale_item.set_sensitive(False)
+ self.hscale.set_sensitive(False)
+
+ def set_enabled(self):
+- self.button.set_sensitive(True)
+ self.scale_item.set_sensitive(True)
+ self.hscale.set_sensitive(True)
+diff --git a/activity/activity.info b/activity/activity.info
+index d7eac24..780fcc2 100644
+--- a/activity/activity.info
++++ b/activity/activity.info
+@@ -5,5 +5,5 @@ license = GPLv2+
+ icon = activity-jukebox
+ exec = sugar-activity jukeboxactivity.JukeboxActivity
+ show_launcher = yes
+-activity_version = 26
++activity_version = 26.1
+ mime_types = video/x-theora;audio/x-vorbis;audio/x-flac;audio/x-speex;application/x-ogm-video;application/x-ogm-audio;video/x-mng;audio/x-aiff;audio/x-wav;audio/x-m4a;video/mpeg4;video/mpeg-stream;video/mpeg;application/ogg;video/mpegts;video/mpeg2;video/mpeg1;audio/mpeg;audio/x-ac3;video/x-cdxa;audio/x-au;audio/mpegurl;audio/x-mpegurl;audio/x-vorbis+ogg;audio/x-scpls;audio/ogg;video/ogg;audio/x-flac+ogg;audio/x-speex+ogg;video/x-theora+ogg;video/x-ogm+ogg;video/x-flv;video/mp4;video/x-matroska;video/x-msvideo;video/quicktime, video/x-quicktime, image/mov, audio/aiff, audio/x-midi, video/avi
+--
+1.7.11.7
+
diff --git a/vJukebox-26.xo b/vJukebox-26.xo
new file mode 100644
index 0000000..30714d7
--- /dev/null
+++ b/vJukebox-26.xo
Binary files differ